Package org.zkoss.bind.impl

## Class BindSelectboxRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.bind.impl.BindSelectboxRenderer

- All Implemented Interfaces:
    `java.io.Serializable`, `ItemRenderer<java.lang.Object>`

      public class BindSelectboxRenderer
      extends AbstractRenderer
      implements ItemRenderer<java.lang.Object>, java.io.Serializable

  selectbox renderer.
  Since:
    6.0.0
  Author:
    dennischen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindSelectboxRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `render​(Component owner, java.lang.Object data, int index)` | Renders the data to the corresponding HTML fragment, and returns the HTML fragment.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindSelectboxRenderer

          public BindSelectboxRenderer()

  - ### Method Detail

    - #### render

          public java.lang.String render​(Component owner,
                                         java.lang.Object data,
                                         int index)
                                  throws java.lang.Exception

      Description copied from interface: `ItemRenderer`
      Renders the data to the corresponding HTML fragment, and returns the HTML fragment.
      Specified by:
        `render` in interface `ItemRenderer<java.lang.Object>`
      Parameters:
        `owner` - the component that this renderer belongs to (never null).
        `data` - that is returned from `ListModel.getElementAt(int)`
        `index` - the data index that is currently being rendered
      Returns:
        the HTML fragment representing the data. It depends on the component this renderer belongs to.
      Throws:
        `java.lang.Exception`